Skip to content

Get environment extensions

GET
/api/v1/environments/extensions/{env}
curl --request GET \
--url https://example.com/api/v1/environments/extensions/example \
--header 'Authorization: <Authorization>'

Returns the extensions assigned to the environment and the ordinary extensions that can be assigned to it. Command-execution extensions are only assigned to nodes. Environment admins.

env
required
string

Environment name or UUID

OK

Media typeapplication/json
object
assigned
Array<object>
object
command_execution
boolean
description
string
id
integer
name
string
platforms
Array<string>
version
string
available
Array<object>
object
command_execution
boolean
description
string
id
integer
name
string
platforms
Array<string>
version
string
Examplegenerated
{
"assigned": [
{
"command_execution": true,
"description": "example",
"id": 1,
"name": "example",
"platforms": [
"example"
],
"version": "example"
}
],
"available": [
{
"command_execution": true,
"description": "example",
"id": 1,
"name": "example",
"platforms": [
"example"
],
"version": "example"
}
]
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}